﻿




<form novalidate name="FormDetails.model">
        <div class="form-group">
        <div class="col-md-9 col-xs-12" >
        <div ng-class="{ 'has-error': FormDetails.model.name.$touched && FormDetails.model.name.$invalid,
                                   'has-success': FormDetails.model.name.$touched && FormDetails.model.name.$valid}">
            <label class="control-label">{{transaction.Name}} </label>
            <input type="text" class="form-control" name="name" required
                   ng-model="model.name">
            <div class="help-block" ng-messages="FormDetails.model.name.$error" ng-show="FormDetails.model.name.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>
           

        </div>    
            <div ng-class="{ 'has-error': FormDetails.model.isBin.$touched && FormDetails.model.isBin.$invalid,
                                   'has-success': FormDetails.model.isBin.$touched && FormDetails.model.isBin.$valid}">
                <label class="control-label">خيار مميز </label>
                <input type="checkbox" name="isBin"
                       ng-model="model.isBin">
            </div>     
            <div ng-class="{ 'has-error': FormDetails.model.categoryId.$touched && FormDetails.model.categoryId.$invalid,
                                   'has-success': FormDetails.model.categoryId.$touched && FormDetails.model.categoryId.$valid}">
                <label class="control-label">التصنيف الفرعي</label>
                <select name="parentId" class="form-control" required ng-model="model.categoryId">
                    <option ng-repeat="i in childCategories" value="{{i.id}}">{{i.name}}</option>
                </select>
                <div class="help-block" ng-messages="FormDetails.model.categoryId.$error" ng-show="FormDetails.model.categoryId.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>


            </div>


            <div ng-class="{ 'has-error': FormDetails.model.workHours.$touched && FormDetails.model.workHours.$invalid,
                                   'has-success': FormDetails.model.workHours.$touched && FormDetails.model.workHours.$valid}">
                <label class="control-label">{{transaction.WorkHours}} </label>
                <input type="text" class="form-control" name="workHours" 
                       ng-model="model.workHours">
                <div class="help-block" ng-messages="FormDetails.model.workHours.$error" ng-show="FormDetails.model.workHours.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
            </div>
            <input type="text" class="form-control" name="CategoryId" ng-model="model.CategoryId" value="2" style="display: none">
            <input type="text" class="form-control" name="Status" ng-model="model.status"  style="display: none">


        </div>
        <div class="col-xs-3">
            <label class="control-label" style="margin-right: 33px;">{{transaction.Photo}}</label>

            <br />
            <label class="control-label" style="margin-right: 33px;" ng-show="uploadedImageWidth!=0 || uploadedImageHeight!=0"> العرض : {{uploadedImageWidth}}</label>
            <label class="control-label" style="margin-right: 33px;" ng-show="uploadedImageWidth!=0 || uploadedImageHeight!=0"> الطول : {{uploadedImageHeight}}</label>
            <div style="margin-right: 27px;" class="fileinput fileinput-new"  ng-change="imageChange()" ng-model="model.attachmentViewModel" base-sixty-four-input data-provides="fileinput" >
                <div class="fileinput-preview thumbnail" data-trigger="fileinput" style="width: 200px; height: 150px;">
                    <img id="adImg" ng-src="{{(model.attachmentViewModel && model.attachmentViewModel.base64 ) ?  'data:image/png;base64, ' +   model.attachmentViewModel.base64 :  model.attachmentUrl}}" />
                </div>
                <div>
                    <span class="btn btn-default btn-file" ng-click="deletehidebutton=false">
                        <span class="fileinput-new">{{transaction.SelectImage}}</span>
                        <span class="fileinput-exists">{{transaction.ChangeImage}}</span>
                        <input type="file" name="... "  accept='image/*' id="adsFU" >
                    </span>
                    <!--<a href="#" class="btn btn-default fileinput-exists" ng-show="deletehidebutton==false" ng-click="delteimage(model.id);" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>-->
                </div>
                <a class="btn btn-default fileinput" ng-click="delteimage(model.id);deletehidebutton=false;" ng-show="deletehidebutton" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>
                <a class="btn btn-danger fileinput" ng-show="model.attachmentUrl || (model.attachmentViewModel && model.attachmentViewModel.base64 )" ng-click="removeImageUrl();" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>

             </div>
            <div class="help-block" ng-messages="FormDetails.model.attachmentViewModel.$error" ng-show="FormDetails.model.attachmentViewModel.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>
        </div>   
        </div>
        <div class="form-group">  
            <div class="col-md-4 col-xs-12" ng-class="{ 'has-error': FormDetails.model.countryId.$touched && FormDetails.model.countryId.$invalid,
                                           'has-success': FormDetails.model.countryId.$touched && FormDetails.model.countryId.$valid}">
                <label class="control-label">{{transaction.Country}} </label>
                <select
                        name="countryId" required=""
                        class="form-control" ng-change="onCountryChange(model.countryId)"  ng-options="country.name for country in countries track by country.id"  ng-model="model.countryId">
                    <option ng-selected="true" value="">{{transaction.ChooseCountry}}</option>
                </select>


                <div class="help-block" ng-messages="FormDetails.model.countryId.$error" ng-show="FormDetails.model.countryId.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
            </div>
            <div class="col-md-4 col-xs-12" ng-class="{ 'has-error': FormDetails.model.cityId.$touched && FormDetails.model.cityId.$invalid,
                                           'has-success': FormDetails.model.cityId.$touched && FormDetails.model.cityId.$valid}">
                <label class="control-label">{{transaction.City}} </label>
                <select  ng-options="city.name for city in cities track by city.id" ng-model="model.cityId" 
                        name="cityId" required=""  ng-disabled="disabledCityDrp"
                        class="form-control" ng-change="onCityChange(model.cityId)">
                    <option ng-selected="true" value="">{{transaction.ChooseCity}}</option>

                    <!--<option ng-repeat="city in cities"      value="{{city.id}}">{{city.name}}</option>-->
                </select>


                <div class="help-block" ng-messages="FormDetails.model.cityId.$error" ng-show="FormDetails.model.cityId.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>


            </div>
            <div class="col-md-4 col-xs-12" ng-class="{ 'has-error': FormDetails.model.municipalityId.$touched && FormDetails.model.municipalityId.$invalid,
                                           'has-success': FormDetails.model.municipalityId.$touched && FormDetails.model.municipalityId.$valid}">
                <label class="control-label">{{transaction.Municipality}} </label>


                <select ng-options="municipality.arabicName for municipality in Municipalities track by municipality.id" ng-model="model.municipalityId"
                        name="municipalityId" 
                        class="form-control"  ng-disabled="disabledMunicipalityDrp">
                    <option ng-selected="true" value="">{{transaction.ChooseMunicipality}}</option>

                    <!--<option ng-repeat="municipality in Municipalities" value="{{municipality.id}}">{{municipality.arabicName}}</option>-->
                </select>


                <div class="help-block" ng-messages="FormDetails.model.municipalityId.$error" ng-show="FormDetails.model.municipalityId.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>


            </div>
        </div>
        <div class="form-group">
        <div class="col-md-12 col-xs-12" ng-class="{'has-error':FormDetails.model.description.$touched && FormDetails.model.description.$invalid,
                                                    'has-success':FormDetails.model.description.$touched && FormDetails.model.description.$valid}">
            <label class="control-label">{{transaction.Description}} </label>
            <textarea type="text" class="form-control" name="description" 
                      ng-model="model.description"></textarea>
            <div class="help-block" ng-messages="FormDetails.model.description.$error" ng-show="FormDetails.model.description.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>

            </div>
        </div>
        </div>
        <!--<div class="form-group">
        <div class="col-md-3 col-xs-12">
            <div class="form-group" ng-class="{ 'has-error': FormDetails.model.eventStartDate.$touched && FormDetails.model.eventStartDate.$invalid,
                                   'has-success': FormDetails.model.eventStartDate.$touched && FormDetails.model.eventStartDate.$valid}">
                <label class="control-label">{{transaction.StartDate}} </label>
              
                <div class="input-group">
                    <input type="text" class="form-control datepicker" datepicker-popup="{{format}}" ng-model="model.eventStartDate"  is-open="model.openedStart" datepicker-options="dateOptions"  ng-required="true" close-text="Close" />
                    <div class="input-group-btn">
                        <button type="button" class="btn btn-default" ng-click="openStart($event)"><i class="glyphicon glyphicon-calendar"></i></button>
                    </div>
                </div>
                
                <div class="help-block" ng-messages="FormDetails.model.eventStartDate.$error" ng-show="FormDetails.model.eventStartDate.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
            </div>
        </div>
        <div class="col-md-3 col-xs-12">
            <div class="form-group" ng-class="{ 'has-error': FormDetails.model.endDate.$touched && FormDetails.model.endDate.$invalid,
                                   'has-success': FormDetails.model.endDate.$touched && FormDetails.model.endDate.$valid}">
                <label class="control-label">{{transaction.EndDate}} </label>


                <div class="input-group">
                    <input type="text" name="endDate" class="form-control datepicker" datepicker-popup="{{format}}" ng-model="model.endDate"  ng-change="OnChangeEndDate()"
                     is-open="model.openedEnd" min="model.eventStartDate" datepicker-options="dateOptions" date-disabled="disabled(date, mode)" ng-required="true" close-text="Close" />
                    <div class="input-group-btn">
                        <button type="button" class="btn btn-default" ng-click="openEnd($event)"><i class="glyphicon glyphicon-calendar"></i></button>
                    </div>
                </div>

       
                <div class="help-block" ng-messages="FormDetails.model.endDate.$error" ng-show="FormDetails.model.endDate.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                    <span  ng-show="FormDetails.model.endDate.$error.endBeforeStart">End date must be on or after start date.</span>

                </div>
                

            </div>
        </div>
        <div class="col-md-3 col-xs-12" ng-class="{ 'has-error': FormDetails.model.startTime.$touched && FormDetails.model.startTime.$invalid,
                                   'has-success': FormDetails.model.startTime.$touched && FormDetails.model.startTime.$valid}">
            <label class="control-label">{{transaction.StartTime}} </label>
            <input type="time" class="form-control" name="startTime" required
                   ng-model="model.startTime">
            <div class="help-block" ng-messages="FormDetails.model.startTime.$error" ng-show="FormDetails.model.startTime.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>

        </div>
        <div class="col-md-3 col-xs-12" ng-class="{ 'has-error': FormDetails.model.endTime.$touched && FormDetails.model.endTime.$invalid,
                                   'has-success': FormDetails.model.endTime.$touched && FormDetails.model.endTime.$valid}">
            <label class="control-label">{{transaction.EndTime}} </label>
            <input type="time" class="form-control" name="endTime" required
                   ng-model="model.endTime">
            <div class="help-block" ng-messages="FormDetails.model.endTime.$error" ng-show="FormDetails.model.endTime.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>

        </div>
    </div>-->    
 </form>











